'--------------------------------------------------------------------------------------------
'
'   ASP Objects
'
'   TopStyle keyword include file - shared by ASP VBScript and ASP JScript keyword tables
'
'--------------------------------------------------------------------------------------------

[header]
version=3.10
description=ASP Objects
reference=http://msdn.microsoft.com/library/en-us/script56/html/vbscripttoc.asp
reference=http://msdn.microsoft.com/library/en-us/iisref/html/psdk/asp/iiwaref.asp

'--------------------------------------------------------------
'  OBJECT LIST
'--------------------------------------------------------------

[objects]
Application
Err
Response
Request
ObjectContext
Request
Server
Session

'--------------------------------------------------------------
'  OBJECT DEFINITIONS
'--------------------------------------------------------------

[object:Application]
Collection=Contents
Method=Lock
Collection=StaticObjects
Method=Unlock

[object:Response]
Method=AddHeader
Method=AppendToLog
Method=BinaryWrite
Property=Buffer
Property=CacheControl
Property=Charset
Method=Clear
Property=ContentType
Collection=Cookies
Method=End
Property=Expires
Property=ExpiresAbsolute
Method=Flush
Property=IsClientConnected
Property=PICS
Property=Status
Method=Redirect
Method=Write

[object:ObjectContext]
Method=SetAbort
Method=SetComplete

[object:Request]
Method=BinaryRead
Collection=ClientCertificate
Collection=Cookies
Collection=Form
Collection=QueryString
Collection=ServerVariables
Property=TotalBytes

[object:Server]
Method=CreateObject
Method=HTMLEncode
Method=MapPath
Property=ScriptTimeout
Method=Transfer
Method=URLEncode

[object:Session]
Method=Abandon
Property=CodePage
Collection=Contents
Property=LCID
Property=SessionID
Collection=StaticObjects
Property=Timeout

[object:Err]
Method=Clear
Property=Description
Property=HelpContext
Property=helpfile
Property=number
Method=Raise
Property=Source
